Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3752 - mod_php3-3.0.9-1.src.rpm cannot be rebuilt
Summary: mod_php3-3.0.9-1.src.rpm cannot be rebuilt
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mod_php3
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-26 23:56 UTC by swiftfox
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-28 05:24:39 UTC


Attachments (Terms of Use)

Description swiftfox 1999-06-26 23:56:33 UTC
All required libraries are present, and mod_php3-3.0.7
builds properly.  Problem appears to be that the specified
include options in the /usr/src/redhat/SPECS file are being
lost somehow in the creation of the Makefile.

Failure appears as follows:
> + make
> gcc -fPIC -fpic  -I. -I.    -
I                                -c
language-parser.tab.c -o language-parser.tab.o
> In file included from language-parser.y:57:
> php.h:188: ap_config.h: No such file or directory
> php.h:194: ap_compat.h: No such file or directory
> php.h:196: httpd.h: No such file or directory
> php.h:197: http_main.h: No such file or directory
> php.h:198: http_core.h: No such file or directory
> php.h:199: http_request.h: No such file or directory
> php.h:200: http_protocol.h: No such file or directory
> php.h:201: http_config.h: No such file or directory
> php.h:202: http_log.h: No such file or directory
> make: *** [language-parser.tab.o] Error 1
> Bad exit status from /var/tmp/rpm-tmp.95895 (%build)

At the same part of "rpm --rebuild mod_php3-3.0.7-4.src.rpm

> + make
> gcc -g -O2 -O2 -fpic  -I. -I.   -I/usr/include/apache
-c language-parser.tab.c -o language-parser.tab.o
> gcc -g -O2 -O2 -fpic  -I. -I.   -I/usr/include/apache
-w -c language-scanner.c
> gcc -g -O2 -O2 -fpic  -I. -I.   -I/usr/include/apache
-c main.c -o main.o
> gcc -g -O2 -O2 -fpic  -I. -I.   -I/usr/include/apache
-c php3_hash.c -o php3_hash.o




------- Additional Comments From   06/27/99 18:16 -------
Umm, this problem occurs both using "rpm --rebuild" and "rpm -bb"
attempts.

Comment 1 Preston Brown 1999-08-28 05:24:59 UTC
fixed in the forthcoming 6.1 release.  Note that you must also have
apache-devel package installed to rebuild...


Note You need to log in before you can comment on or make changes to this bug.